package co.pixelbeard.theanfieldwrap.downloads;

import co.pixelbeard.theanfieldwrap.data.RealmPodcast;
import co.pixelbeard.theanfieldwrap.utils.BasePresenter;
import co.pixelbeard.theanfieldwrap.utils.BaseView;
import io.realm.RealmResults;

public interface DownloadsContract {

    interface View extends BaseView<Presenter> {
        void setAdapter(RealmResults<RealmPodcast> podcasts);
    }

    interface Presenter extends BasePresenter {

        void getDownloadedPodcasts();

        void deletePodcast(RealmPodcast podcast, int position);
    }
}